## org.biojava.bio.program.abi
Class ABIFParser.TaggedDataRecord

    java.lang.Object
      org.biojava.bio.program.abi.ABIFParser.TaggedDataRecord

Enclosing class:
  ABIFParser

    public static class ABIFParser.TaggedDataRecord

extends Object

An aggregate immutable type for an ABIF tagged data record. See the Tibbets paper (referenced in the javadoc for `ABIFParser`) for more information.

Field Summary
`long` `crypticVariable`
`static int` `DATA_TYPE_ASCII_ARRAY`
`static int` `DATA_TYPE_DATE`
`static int` `DATA_TYPE_FLOAT`
`static int` `DATA_TYPE_INTEGER`
`static int` `DATA_TYPE_PSTRING`
`static int` `DATA_TYPE_TIME`
`long` `dataRecord`
`int` `dataType`
`int` `elementLength`
`boolean` `hasOffsetData`
`long` `numberOfElements`
`byte[]` `offsetData`
`long` `recordLength`
`char[]` `tagName`
`long` `tagNumber`

Constructor Summary
`ABIFParser.TaggedDataRecord(ABIFParser.DataAccess din)` Creates a new TaggedDataRecord from the next 28 bytes of `din`.

Method Summary
`String` `toString()` A very verbose `toString` that dumps all of the data in this record in a human-readable format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DATA_TYPE_ASCII_ARRAY

    public static final int DATA_TYPE_ASCII_ARRAY

See Also:
  Constant Field Values

### DATA_TYPE_INTEGER

    public static final int DATA_TYPE_INTEGER

See Also:
  Constant Field Values

### DATA_TYPE_FLOAT

    public static final int DATA_TYPE_FLOAT

See Also:
  Constant Field Values

### DATA_TYPE_DATE

    public static final int DATA_TYPE_DATE

See Also:
  Constant Field Values

### DATA_TYPE_TIME

    public static final int DATA_TYPE_TIME

See Also:
  Constant Field Values

### DATA_TYPE_PSTRING

    public static final int DATA_TYPE_PSTRING

See Also:
  Constant Field Values

### tagName

    public final char[] tagName

### tagNumber

    public final long tagNumber

### dataType

    public final int dataType

### elementLength

    public final int elementLength

### numberOfElements

    public final long numberOfElements

### recordLength

    public final long recordLength

### dataRecord

    public final long dataRecord

### crypticVariable

    public final long crypticVariable

### hasOffsetData

    public final boolean hasOffsetData

### offsetData

    public final byte[] offsetData

Constructor Detail

### ABIFParser.TaggedDataRecord

    public ABIFParser.TaggedDataRecord(ABIFParser.DataAccess din)
                                throws IOException

  Creates a new TaggedDataRecord from the next 28 bytes of `din`.

  Parameters:
    `din` - the source of the raw data to be parsed
  Throws:
    `IOException` - if there's a problem with `din`

Method Detail

### toString

    public String toString()

  A very verbose `toString` that dumps all of the data in this record in a human-readable format.

  Overrides:
    `toString` in class `Object`